Skip to main content
DELETE
Delete a cash flow category
Authentication: API key OAuth 2.0
Scope: cash_flow_category.write
The request fails with invalid_id for a malformed ID or category_not_found when the ID does not belong to the authenticated organization. The has_allocated_transactions error is returned if transactions are still assigned to the category or subcategory.

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Path Parameters

id
string<uuid>
required

ID of the category or subcategory to delete

Response

Category or subcategory successfully deleted.